PMIX_STATUS_T(5)

pmix_status_t — An int compatible value for return status codes.

SYNTAX

  C Syntax

            #include <pmix_common.h>

            typedef int pmix_status_t;

  Python Syntax

            from pmix import *

            foo = PMIxStatus.status

where status is a PMIx-defined status code (e.g., PMIX_SUCCESS)

DESCRIPTION

PMIx return values other than PMIX_SUCCESS are required to always be negative. The return status value for a successful operation is PMIX_SUCCESS, which must have an integer value of 0.

ERRORS

PMIx errno values are defined in pmix_common.h.

See also:
        PMIx_Initialized(3), PMIx_Abort(3) <#man3-pmix-abort>, PMIx_Commit(3), PMIx_Finalize(3) <#man3-pmix-finalize>, PMIx_Put(3), pmiAddInstance(3), pmiAddMetric(3)

Copyright
2014-2026, OpenPMIx Community